/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Association Fibers
 */
public enum EnumCV_AssociationFibers {

	//Association Fibers - CID 7703
	SUPERIOR_LONGITUDINAL_FASCICULUS_2080("2080"),
	SUPERIOR_LONGITUDINAL_FASCICULUS_I_110703("110703"),
	SUPERIOR_LONGITUDINAL_FASCICULUS_II_110704("110704"),
	SUPERIOR_LONGITUDINAL_FASCICULUS_III_110705("110705"),
	ARCUATE_FASCICULUS_2063("2063"),
	INFERIOR_LONGITUDINAL_FASCICULUS_T_A2850("T-A2850"),
	UNCINATE_FASCICULUS_T_A2830("T-A2830"),
	VERTICAL_OCCIPITAL_FASCICULUS_T_A2870("T-A2870"),
	INFERIOR_FRONTO_OCCIPITAL_FASCICULUS_T_A2861("T-A2861"),
	SUPERIOR_FRONTO_OCCIPITAL_FASCICULUS_T_A2860("T-A2860");

	private String value;

	EnumCV_AssociationFibers(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
